const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const contractions = sequelize.define(
    'contractions',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

contraction_start: {
        type: DataTypes.DATE,
      
      

      },

contraction_end: {
        type: DataTypes.DATE,
      
      

      },

duration_seconds: {
        type: DataTypes.INTEGER,
      
      

      },

interval_seconds: {
        type: DataTypes.INTEGER,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  contractions.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity


















































































































//end loop



    db.contractions.belongsTo(db.contraction_sessions, {
      as: 'contraction_session',
      foreignKey: {
        name: 'contraction_sessionId',
      },
      constraints: false,
    });




    db.contractions.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.contractions.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return contractions;
};


